FinalityFlow.ExtraConstructorArgs
Keywords: net.corda.core.flows.FinalityFlow.ExtraConstructorArgs class
Date: 2023-09-18

net.corda.core.flows

## Class FinalityFlow.ExtraConstructorArgs

- net.corda.core.flows.FinalityFlow.ExtraConstructorArgs

- Enclosing class:
    FinalityFlow

      @CordaInternal
      public static class FinalityFlow.ExtraConstructorArgs

- - ### Constructor Detail

    - #### ExtraConstructorArgs

          public ExtraConstructorArgs(@NotNull
                                      java.util.Collection<net.corda.core.identity.Party> oldParticipants,
                                      @NotNull
                                      java.util.Collection<? extends net.corda.core.flows.FlowSession> sessions,
                                      boolean newApi,
                                      @NotNull
                                      StatesToRecord statesToRecord)

  - ### Method Detail

    - #### getOldParticipants

          @NotNull
          public java.util.Collection<net.corda.core.identity.Party> getOldParticipants()

    - #### getSessions

          @NotNull
          public java.util.Collection<net.corda.core.flows.FlowSession> getSessions()

    - #### getNewApi

          public boolean getNewApi()

    - #### getStatesToRecord

          @NotNull
          public StatesToRecord getStatesToRecord()

    - #### component1

          @NotNull
          public java.util.Collection<net.corda.core.identity.Party> component1()

    - #### component2

          @NotNull
          public java.util.Collection<net.corda.core.flows.FlowSession> component2()

    - #### component3

          public boolean component3()

    - #### component4

          @NotNull
          public StatesToRecord component4()

    - #### copy

          @NotNull
          public net.corda.core.flows.FinalityFlow.ExtraConstructorArgs copy(@NotNull
                                                                                      java.util.Collection<net.corda.core.identity.Party> oldParticipants,
                                                                                      @NotNull
                                                                                      java.util.Collection<? extends net.corda.core.flows.FlowSession> sessions,
                                                                                      boolean newApi,
                                                                                      @NotNull
                                                                                      StatesToRecord statesToRecord)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)